- Qt 5.15
- Qt Core
- C++ Classes
- FromBase64Result
- Qt 5.15.15 Reference Documentation

# FromBase64Result Class

class QByteArray::FromBase64Result

The QByteArray::FromBase64Result class holds the result of a call to QByteArray::fromBase64Encoding. More...

This class was introduced in Qt 5.15.

- List of all members, including inherited members

## Public Functions

bool | operator bool() const
const QByteArray & | operator*() const

## Public Variables

QByteArray | decoded
QByteArray::Base64DecodingStatus | decodingStatus

## Related Non-Members

uint | qHash(const QByteArray::FromBase64Result &key, uint seed = 0)
bool | operator!=(const QByteArray::FromBase64Result &lhs, const QByteArray::FromBase64Result &rhs)
bool | operator==(const QByteArray::FromBase64Result &lhs, const QByteArray::FromBase64Result &rhs)

## Detailed Description

Objects of this class can be used to check whether the conversion was successful, and if so, retrieve the decoded QByteArray. The conversion operators defined for QByteArray::FromBase64Result make its usage straightforward:

     void process(const QByteArray &);

     if (auto result = QByteArray::fromBase64Encoding(encodedData))
         process(*result);

Alternatively, it is possible to access the conversion status and the decoded data directly:

     auto result = QByteArray::fromBase64Encoding(encodedData);
     if (result.decodingStatus == QByteArray::Base64DecodingStatus::Ok)
         process(result.decoded);

See also QByteArray::fromBase64.

## Member Function Documentation

### bool FromBase64Result::operator bool() const

Returns whether the decoding was successful. This is equivalent to checking whether the `decodingStatus` member is equal to QByteArray::Base64DecodingStatus::Ok.

### const QByteArray &FromBase64Result::operator*() const

Returns the decoded byte array.

## Member Variable Documentation

### QByteArray FromBase64Result::decoded

Contains the decoded byte array.

### QByteArray::Base64DecodingStatus FromBase64Result::decodingStatus

Contains whether the decoding was successful, expressed as a value of type QByteArray::Base64DecodingStatus.

## Related Non-Members

### uint qHash(const QByteArray::FromBase64Result &key, uint seed = 0)

Returns the hash value for key, using seed to seed the calculation.

### bool operator!=(const QByteArray::FromBase64Result &lhs, const QByteArray::FromBase64Result &rhs)

Returns `true` if lhs and rhs are different, otherwise returns `false`.

### bool operator==(const QByteArray::FromBase64Result &lhs, const QByteArray::FromBase64Result &rhs)

Returns `true` if lhs and rhs are equal, otherwise returns `false`.

lhs and rhs are equal if and only if they contain the same decoding status and, if the status is QByteArray::Base64DecodingStatus::Ok, if and only if they contain the same decoded data.